using System.Windows;
using System.Windows.Controls;

namespace CellStyleSelector_WPF
{
	public class StadiumCapacityStyle : StyleSelector
	{
		public override Style SelectStyle(object item, DependencyObject container)
		{
			if (item is Club)
			{
				Club club = item as Club;
				if (club.StadiumCapacity == club.StadiumCapacity1)
				{
					return EqualStadiumStyle;
				}
				else
				{
					return NonEqualStadiumStyle;
				}
			}
			return null;
		}		

		public Style EqualStadiumStyle { get; set; }
		public Style NonEqualStadiumStyle { get; set; }
	}
}